Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class ResourceManagerTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.ResourceManagerTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ResourceManagerType<T>

    public class ResourceManagerTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ResourceManagerType<T>

This class implements the `resource-managerType` xsd type

Original Documentation:

The resource-manager element is used to provide a mapping between the "xml
name" of a resource (res-name) and its "runtime jndi name" (res-jndi-name or res-url
according to the type of the resource). If it is not provided, and if the type of the
resource is javax.sql.DataSource, jboss will look for a javax.sql.DataSource in the jndi
tree. See resource-managers. Used in: resource-managers

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ResourceManagerTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ResourceManagerTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getResClass()` Returns the `res-class` element
`java.lang.String` | `getResJndiName()` Returns the `res-jndi-name` element
`java.lang.String` | `getResName()` Returns the `res-name` element
`java.lang.String` | `getResUrl()` Returns the `res-url` element
`ResourceManagerType<T>` | `removeAllDescription()` Removes the `description` element
`ResourceManagerType<T>` | `removeResClass()` Removes the `res-class` attribute
`ResourceManagerType<T>` | `removeResJndiName()` Removes the `res-jndi-name` element
`ResourceManagerType<T>` | `removeResName()` Removes the `res-name` element
`ResourceManagerType<T>` | `removeResUrl()` Removes the `res-url` element
`ResourceManagerType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ResourceManagerType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ResourceManagerType<T>` | `setResClass(java.lang.String resClass)` Sets the `res-class` attribute
`ResourceManagerType<T>` | `setResJndiName(java.lang.String resJndiName)` If not already created, a new `res-jndi-name` element with the given value will be created.
`ResourceManagerType<T>` | `setResName(java.lang.String resName)` If not already created, a new `res-name` element with the given value will be created.
`ResourceManagerType<T>` | `setResUrl(java.lang.String resUrl)` If not already created, a new `res-url` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceManagerTypeImpl

    public ResourceManagerTypeImpl(T t,
                                   java.lang.String nodeName,
                                   org.jboss.shrinkwrap.descriptor.spi.Node node)

### ResourceManagerTypeImpl

    public ResourceManagerTypeImpl(T t,
                                   java.lang.String nodeName,
                                   org.jboss.shrinkwrap.descriptor.spi.Node node,
                                   org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public ResourceManagerType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `ResourceManagerType<T>`
  Returns:
    the current instance of `ResourceManagerType`

### setDescriptionList

    public ResourceManagerType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `ResourceManagerType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ResourceManagerType`

### removeAllDescription

    public ResourceManagerType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `ResourceManagerType<T>`
  Returns:
    the current instance of `ResourceManagerType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `ResourceManagerType<T>`
  Returns:
    list of `description`

### setResName

    public ResourceManagerType<T> setResName(java.lang.String resName)

  If not already created, a new `res-name` element with the given value will be created. Otherwise, the existing `res-name` element will be updated with the given value.

  Specified by:
    `setResName` in interface `ResourceManagerType<T>`
  Returns:
    the current instance of `ResourceManagerType`

### removeResName

    public ResourceManagerType<T> removeResName()

  Removes the `res-name` element

  Specified by:
    `removeResName` in interface `ResourceManagerType<T>`
  Returns:
    the current instance of `ResourceManagerType`

### getResName

    public java.lang.String getResName()

  Returns the `res-name` element

  Specified by:
    `getResName` in interface `ResourceManagerType<T>`
  Returns:
    the node defined for the element `res-name`

### setResJndiName

    public ResourceManagerType<T> setResJndiName(java.lang.String resJndiName)

  If not already created, a new `res-jndi-name` element with the given value will be created. Otherwise, the existing `res-jndi-name` element will be updated with the given value.

  Specified by:
    `setResJndiName` in interface `ResourceManagerType<T>`
  Returns:
    the current instance of `ResourceManagerType`

### removeResJndiName

    public ResourceManagerType<T> removeResJndiName()

  Removes the `res-jndi-name` element

  Specified by:
    `removeResJndiName` in interface `ResourceManagerType<T>`
  Returns:
    the current instance of `ResourceManagerType`

### getResJndiName

    public java.lang.String getResJndiName()

  Returns the `res-jndi-name` element

  Specified by:
    `getResJndiName` in interface `ResourceManagerType<T>`
  Returns:
    the node defined for the element `res-jndi-name`

### setResUrl

    public ResourceManagerType<T> setResUrl(java.lang.String resUrl)

  If not already created, a new `res-url` element with the given value will be created. Otherwise, the existing `res-url` element will be updated with the given value.

  Specified by:
    `setResUrl` in interface `ResourceManagerType<T>`
  Returns:
    the current instance of `ResourceManagerType`

### removeResUrl

    public ResourceManagerType<T> removeResUrl()

  Removes the `res-url` element

  Specified by:
    `removeResUrl` in interface `ResourceManagerType<T>`
  Returns:
    the current instance of `ResourceManagerType`

### getResUrl

    public java.lang.String getResUrl()

  Returns the `res-url` element

  Specified by:
    `getResUrl` in interface `ResourceManagerType<T>`
  Returns:
    the node defined for the element `res-url`

### setResClass

    public ResourceManagerType<T> setResClass(java.lang.String resClass)

  Sets the `res-class` attribute

  Specified by:
    `setResClass` in interface `ResourceManagerType<T>`
  Parameters:
    `resClass` - the value for the attribute `res-class`
  Returns:
    the current instance of `ResourceManagerType`

### removeResClass

    public ResourceManagerType<T> removeResClass()

  Removes the `res-class` attribute

  Specified by:
    `removeResClass` in interface `ResourceManagerType<T>`
  Returns:
    the current instance of `ResourceManagerType`

### getResClass

    public java.lang.String getResClass()

  Returns the `res-class` element

  Specified by:
    `getResClass` in interface `ResourceManagerType<T>`
  Returns:
    the node defined for the element `res-class`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD